## org.eclipse.emf.cdo.common.revision.delta
Enum CDOFeatureDelta.Type

    java.lang.Object
      java.lang.Enum<CDOFeatureDelta.Type>
          org.eclipse.emf.cdo.common.revision.delta.CDOFeatureDelta.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CDOFeatureDelta.Type>

Enclosing interface:
  CDOFeatureDelta

    public static enum CDOFeatureDelta.Type

extends java.lang.Enum<CDOFeatureDelta.Type>

Enum Constant Summary
`ADD`
`CLEAR`
`CONTAINER`
`LIST`
`MOVE`
`REMOVE`
`SET`
`UNSET`

Method Summary
`static CDOFeatureDelta.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CDOFeatureDelta.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ADD

    public static final CDOFeatureDelta.Type ADD

### REMOVE

    public static final CDOFeatureDelta.Type REMOVE

### CLEAR

    public static final CDOFeatureDelta.Type CLEAR

### MOVE

    public static final CDOFeatureDelta.Type MOVE

### SET

    public static final CDOFeatureDelta.Type SET

### UNSET

    public static final CDOFeatureDelta.Type UNSET

### LIST

    public static final CDOFeatureDelta.Type LIST

### CONTAINER

    public static final CDOFeatureDelta.Type CONTAINER

Method Detail

### values

    public static final CDOFeatureDelta.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CDOFeatureDelta.Type c : CDOFeatureDelta.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CDOFeatureDelta.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.